<template>
   <ObModal
    ref="exitOrder"
    :edit-form="false"
    size="large"
    title="Сохранить черновик заказа и выйти из режима редактирования?"
    ok-text="Сохранить и выйти"
    cancel-text="Отмена"
    :is-show-controls="true"
    data-qa="exitOrderModal"
    @submit="$emit('submit')"
  >
    <slot />
  </ObModal>
</template>

<script>
  import ObModal from "common-components/src/obComponents/obModal";
  export default {
    components: {
      ObModal
    },

    methods: {
      open () {
        this.$refs.exitOrder.open()
      },
      close () {
        this.$refs.exitOrder.close()
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>